<?php
/**
 * Car Repair Mechanic: Block Patterns
 *
 * @package Car Repair Mechanic
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'car-repair-mechanic',
		array( 'label' => __( 'Car Repair Mechanic', 'car-repair-mechanic' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'car-repair-mechanic/banner-section',
		array(
			'title'      => __( 'Banner Section', 'car-repair-mechanic' ),
			'categories' => array( 'car-repair-mechanic' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/banner.png\",\"id\":492,\"dimRatio\":50,\"align\":\"full\",\"className\":\"free-car-repair-mechanic slider-box\"} -->\n<div class=\"wp-block-cover alignfull free-car-repair-mechanic slider-box\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-492\" alt=\"\" src=\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns {\"align\":\"wide\",\"className\":\"free-car-repair-mechanic slider-box-col\"} -->\n<div class=\"wp-block-columns alignwide free-car-repair-mechanic slider-box-col\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":1,\"style\":{\"typography\":{\"fontSize\":\"40px\",\"textTransform\":\"none\"}},\"textColor\":\"white\"} -->\n<h1 class=\"has-white-color has-text-color\" style=\"font-size:40px;text-transform:none\">Providing a Professional &amp; Reliable Service</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"15px\"}},\"textColor\":\"white\"} -->\n<p class=\"has-white-color has-text-color\" style=\"font-size:15px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industryâ€™s standard dummy text ever </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"style\":{\"typography\":{\"fontSize\":\"14px\"}}} -->\n<div class=\"wp-block-buttons has-custom-font-size\" style=\"font-size:14px\"><!-- wp:button -->\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link wp-element-button\">Read More</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"bottom\",\"className\":\"free-car-repair-mechanic video-col\"} -->\n<div class=\"wp-block-column is-vertically-aligned-bottom free-car-repair-mechanic video-col\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"15%\",\"className\":\"free-car-repair-mechanic video-1\"} -->\n<div class=\"wp-block-column free-car-repair-mechanic video-1\" style=\"flex-basis:15%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"bottom\",\"className\":\"free-car-repair-mechanic video-2\"} -->\n<div class=\"wp-block-column is-vertically-aligned-bottom free-car-repair-mechanic video-2\"><!-- wp:embed {\"url\":\"https://youtu.be/D0UnqGm_miA\",\"type\":\"video\",\"providerNameSlug\":\"youtube\",\"responsive\":true,\"className\":\"wp-embed-aspect-16-9 wp-has-aspect-ratio\"} -->\n<figure class=\"wp-block-embed is-type-video is-provider-youtube wp-block-embed-youtube wp-embed-aspect-16-9 wp-has-aspect-ratio\"><div class=\"wp-block-embed__wrapper\">\nhttps://youtu.be/D0UnqGm_miA\n</div></figure>\n<!-- /wp:embed -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"12px\"}},\"textColor\":\"white\",\"className\":\"free-car-repair-mechanic video-text\"} -->\n<p class=\"free-car-repair-mechanic video-text has-white-color has-text-color\" style=\"font-size:12px\">Lorem Ipsum&nbsp;is simply dummy text of the printing</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"10%\",\"textColor\":\"white\",\"className\":\"free-car-repair-mechanic social-icon\"} -->\n<div class=\"wp-block-column free-car-repair-mechanic social-icon has-white-color has-text-color\" style=\"flex-basis:10%\"><!-- wp:social-links {\"className\":\"is-style-default\"} -->\n<ul class=\"wp-block-social-links is-style-default\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"facebook\",\"label\":\"\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"twitter\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"linkedin\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'car-repair-mechanic/services-section',
		array(
			'title'      => __( 'Services Section', 'car-repair-mechanic' ),
			'categories' => array( 'car-repair-mechanic' ),
			'content'    => "<!-- wp:group {\"align\":\"wide\",\"className\":\"mx-2 mx-md-5 my-5 free-car-repair-mechanic service-sec\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignwide mx-2 mx-md-5 my-5 free-car-repair-mechanic service-sec\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"28px\"}}} -->\n<h2 style=\"font-size:28px\">Our Services</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"15px\"}}} -->\n<p class=\"has-text-align-left\" style=\"font-size:15px\">Lorem Ipsum Is Simply Dummy Text of the printing and typesetting</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"free-car-repair-mechanic serv-col\"} -->\n<div class=\"wp-block-columns free-car-repair-mechanic serv-col\"><!-- wp:column {\"className\":\"free-car-repair-mechanic main-serv mb-2\"} -->\n<div class=\"wp-block-column free-car-repair-mechanic main-serv mb-2\"><!-- wp:image {\"id\":494,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"free-car-repair-mechanic main-serv-img\"} -->\n<figure class=\"wp-block-image size-full free-car-repair-mechanic main-serv-img\"><img src=\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/service-1.png\" alt=\"\" class=\"wp-image-494\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"className\":\"free-car-repair-mechanic service-content\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group free-car-repair-mechanic service-content\"><!-- wp:columns {\"className\":\"mb-0 free-car-repair-mechanic serv-text\"} -->\n<div class=\"wp-block-columns mb-0 free-car-repair-mechanic serv-text\"><!-- wp:column {\"width\":\"80%\",\"className\":\"free-car-repair-mechanic text-col\"} -->\n<div class=\"wp-block-column free-car-repair-mechanic text-col\" style=\"flex-basis:80%\"><!-- wp:heading {\"level\":3,\"fontSize\":\"medium\"} -->\n<h3 class=\"has-medium-font-size\">Steering &amp; Suspension</h3>\n<!-- /wp:heading --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"20%\",\"className\":\"free-car-repair-mechanic icon-col\"} -->\n<div class=\"wp-block-column free-car-repair-mechanic icon-col\" style=\"flex-basis:20%\"><!-- wp:image {\"id\":563,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/serv-icon.png\" alt=\"\" class=\"wp-image-563\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"12px\"}},\"textColor\":\"black\"} -->\n<p class=\"has-black-color has-text-color\" style=\"font-size:12px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industrys standard dummy text ever since the 1500s, when an unknown</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"typography\":{\"fontSize\":\"14px\"},\"color\":{\"text\":\"#1c5fe9\"}},\"className\":\"is-style-outline\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-outline\" style=\"font-size:14px\"><a class=\"wp-block-button__link has-text-color wp-element-button\" style=\"color:#1c5fe9\">Read More</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"free-car-repair-mechanic main-serv mb-2\"} -->\n<div class=\"wp-block-column free-car-repair-mechanic main-serv mb-2\"><!-- wp:image {\"id\":495,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"free-car-repair-mechanic main-serv-img\"} -->\n<figure class=\"wp-block-image size-full free-car-repair-mechanic main-serv-img\"><img src=\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/service-2.png\" alt=\"\" class=\"wp-image-495\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"className\":\"free-car-repair-mechanic service-content\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group free-car-repair-mechanic service-content\"><!-- wp:columns {\"className\":\"mb-0 free-car-repair-mechanic serv-text\"} -->\n<div class=\"wp-block-columns mb-0 free-car-repair-mechanic serv-text\"><!-- wp:column {\"width\":\"80%\",\"className\":\"free-car-repair-mechanic text-col\"} -->\n<div class=\"wp-block-column free-car-repair-mechanic text-col\" style=\"flex-basis:80%\"><!-- wp:heading {\"level\":3,\"fontSize\":\"medium\"} -->\n<h3 class=\"has-medium-font-size\">Tier &amp; Wheel</h3>\n<!-- /wp:heading --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"20%\",\"className\":\"free-car-repair-mechanic icon-col\"} -->\n<div class=\"wp-block-column free-car-repair-mechanic icon-col\" style=\"flex-basis:20%\"><!-- wp:image {\"id\":563,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/serv-icon.png\" alt=\"\" class=\"wp-image-563\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"12px\"}},\"textColor\":\"black\"} -->\n<p class=\"has-black-color has-text-color\" style=\"font-size:12px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the the industrys standard dummy text ever since the 1500s, when an unknown</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"typography\":{\"fontSize\":\"14px\"},\"color\":{\"text\":\"#1c5fe9\"}},\"className\":\"is-style-outline\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-outline\" style=\"font-size:14px\"><a class=\"wp-block-button__link has-text-color wp-element-button\" style=\"color:#1c5fe9\">Read More</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"free-car-repair-mechanic main-serv mb-2\"} -->\n<div class=\"wp-block-column free-car-repair-mechanic main-serv mb-2\"><!-- wp:image {\"id\":496,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"free-car-repair-mechanic main-serv-img\"} -->\n<figure class=\"wp-block-image size-full free-car-repair-mechanic main-serv-img\"><img src=\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/service-3.png\" alt=\"\" class=\"wp-image-496\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"className\":\"free-car-repair-mechanic service-content\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group free-car-repair-mechanic service-content\"><!-- wp:columns {\"className\":\"mb-0 free-car-repair-mechanic serv-text\"} -->\n<div class=\"wp-block-columns mb-0 free-car-repair-mechanic serv-text\"><!-- wp:column {\"width\":\"80%\",\"className\":\"free-car-repair-mechanic text-col\"} -->\n<div class=\"wp-block-column free-car-repair-mechanic text-col\" style=\"flex-basis:80%\"><!-- wp:heading {\"level\":3,\"fontSize\":\"medium\"} -->\n<h3 class=\"has-medium-font-size\">Oil Change</h3>\n<!-- /wp:heading --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"20%\",\"className\":\"free-car-repair-mechanic icon-col\"} -->\n<div class=\"wp-block-column free-car-repair-mechanic icon-col\" style=\"flex-basis:20%\"><!-- wp:image {\"id\":563,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/serv-icon.png\" alt=\"\" class=\"wp-image-563\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"12px\"}},\"textColor\":\"black\"} -->\n<p class=\"has-black-color has-text-color\" style=\"font-size:12px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the the industrys standard dummy text ever since the 1500s, when an unknown</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"typography\":{\"fontSize\":\"14px\"},\"color\":{\"text\":\"#1c5fe9\"}},\"className\":\"is-style-outline\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-outline\" style=\"font-size:14px\"><a class=\"wp-block-button__link has-text-color wp-element-button\" style=\"color:#1c5fe9\">Read More</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->",
		)
	);
}